Skip to main content
GET
Contract Detail Api

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contract_id
string
required

The UUID of the contract

Response

Contract details with plan and plan items

Detailed contract information with plan items.

contract_status
string
required

The current status of the contract

Example:

"accepted"

customer
CustomerBasicOut · object | null

Customer information

plan_items
PlanItemOut · object[]

List of plan items associated with this contract

file_url
string | null

URL to download the contract PDF

Example:

"https://api.justpaid.io/files/contract.pdf"

uuid
string<uuid>
title
string | null
Maximum string length: 255
contract_start_date
string<date> | null
contract_end_date
string<date> | null
contract_amount
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
string | null
default:USD
Maximum string length: 3
payment_terms
string | null
Maximum string length: 60
discounted_amount
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
discount_percent
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
is_evergreen
boolean
default:false
invoice_start_date
string<date> | null
preferred_invoice_day
integer | null
created_at
string<date-time>
contract_summary
string | null